#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

# GENERAL OPTIONS
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
{% if architecture == 'x86-64-v3' %}
Architecture = x86_64 x86_64_v3
{% else %}
Architecture = auto
{% endif %}

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

Color
ILoveCandy
CheckSpace
VerbosePkgLists
ParallelDownloads = 5

{% if architecture == 'x86-64-v3' %}
[cachyos-v3]
Include = /etc/pacman.d/cachyos-v3-mirrorlist
[cachyos-core-v3]
Include = /etc/pacman.d/cachyos-v3-mirrorlist
[cachyos-extra-v3]
Include = /etc/pacman.d/cachyos-v3-mirrorlist
{% endif %}
[cachyos]
Server = https://mirror.cachyos.org/repo/$arch/$repo
{% if architecture == 'x86-64-v3' %}
[syncopated-v3]
SigLevel = Optional TrustAll
Server = http://bender.syncopated.net/repo/archlabs/packages/x86_64_v3/
Server = http://syncopated.hopto.org/repo/archlabs/packages/x86_64_v3/
{% endif %}
[syncopated]
SigLevel = Optional TrustAll
Server = http://bender.syncopated.net/repo/archlabs/packages/x86_64/
Server = http://syncopated.hopto.org/repo/archlabs/packages/x86_64/

[proaudio]
Server = https://arch.osamc.de/$repo/$arch

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

[multilib]
Include = /etc/pacman.d/mirrorlist

{% if repo.chaotic == True %}
[chaotic-aur]
Include = /etc/pacman.d/chaotic-mirrorlist
{% endif %}
{% if ansible_os_family == 'blendOS' %}
[blend]
SigLevel = Never
Server = https://pkg-repo.blendos.co/$repo/os/$arch
{% else %}
# [archlabs-testing]
# Server =  https://pub-7d84e047b852442a86fd6d7feb1ff2cd.r2.dev/$repo/$arch
# Server =  https://github.com/ArchLabs/$repo/raw/master/$arch
# Server =  https://bitbucket.org/archlabslinux/$repo/raw/master/$arch

[archlabs]
Server = https://pub-7d84e047b852442a86fd6d7feb1ff2cd.r2.dev/$repo/$arch
Server = https://bitbucket.org/archlabslinux/$repo/raw/master/$arch
Server = https://github.com/ArchLabs/$repo/raw/master/$arch
Server = https://sourceforge.net/projects/archlabs-repo/files/$repo/$arch
{% endif %}



# vim:ft=config
